/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-22 10:05:10
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-08-28 11:44:55
 * @FilePath: \Game-Backstage-Management-System\src\stores\useTable.ts
 * @Description:
 *
 */

import { reactive } from 'vue'
import { defineStore } from 'pinia'

// 你可以任意命名 `defineStore()` 的返回值，但最好使用 store 的名字，同时以 `use` 开头且以 `Store` 结尾。
// (比如 `useUserStore`，`useCartStore`，`useProductStore`)
// 第一个参数是你的应用中 Store 的唯一 ID。
interface QueryGameInfo {
  gid: string
  gameName: string
}

export const useTableStore = defineStore('tableStore', () => {
  // 用户表查询的时候的参数
  const playerQueryInfo = reactive({
    gid: '1001',
    pf: 'web'
  })

  // 更新用户表查询参数
  const updateQueryInfo = (newGid: string, newPf: string) => {
    playerQueryInfo.gid = newGid
    playerQueryInfo.pf = newPf
  }

  // 所有的游戏信息
  let allGameInfo = reactive<Array<QueryGameInfo>>([])

  const setGameInfo = (list: Array<QueryGameInfo>) => {
    // allGameInfo = list
    allGameInfo.length = 0
    allGameInfo.push(...list)
  }

  return { playerQueryInfo, allGameInfo, updateQueryInfo, setGameInfo }
})
